libsigc++ 2.5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions
sigc Namespace Reference

The libsigc++ namespace. More...

## Classes
struct | adaptor_base
| A hint to the compiler. More...
struct | adaptor_functor
| Converts an arbitrary functor into an adaptor type. More...
struct | adaptor_trait
| Trait that specifies what is the adaptor version of a functor type. More...
struct | adaptor_trait< T_functor, false >
| Trait that specifies what is the adaptor version of a functor type. More...
struct | adaptor_trait< T_functor, true >
| Trait that specifies what is the adaptor version of a functor type. More...
struct | adapts
| Base type for adaptors. More...
struct | bind_functor
| Adaptor that binds an argument to the wrapped functor. More...
struct | bind_functor< 0, T_functor, T_bound, nil, nil, nil, nil, nil, nil >
| Adaptor that binds an argument to the wrapped functor. More...
struct | bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >
| Adaptor that binds 1 argument(s) to the wrapped functor. More...
struct | bind_return_functor
| Adaptor that fixes the return value of the wrapped functor. More...
class | bound_argument
| A bound_argument<Foo> object stores a bound (for instance, with sigc::bind(), or sigc::bind_return()) argument. More...
class | bound_argument< const_reference_wrapper< T_wrapped > >
| bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by const reference, specialized for const reference_wrapper<> types. More...
class | bound_argument< reference_wrapper< T_wrapped > >
| bound_argument object for a bound argument that is passed by bind() or returned by bind_return() by reference, specialized for reference_wrapper<> types. More...
class | bound_const_mem_functor0
| bound_const_mem_functor0 encapsulates a const method with 0 arguments and an object instance. More...
class | bound_const_mem_functor1
| bound_const_mem_functor1 encapsulates a const method with 1 arguments and an object instance. More...
class | bound_const_mem_functor2
| bound_const_mem_functor2 encapsulates a const method with 2 arguments and an object instance. More...
class | bound_const_mem_functor3
| bound_const_mem_functor3 encapsulates a const method with 3 arguments and an object instance. More...
class | bound_const_mem_functor4
| bound_const_mem_functor4 encapsulates a const method with 4 arguments and an object instance. More...
class | bound_const_mem_functor5
| bound_const_mem_functor5 encapsulates a const method with 5 arguments and an object instance. More...
class | bound_const_mem_functor6
| bound_const_mem_functor6 encapsulates a const method with 6 arguments and an object instance. More...
class | bound_const_mem_functor7
| bound_const_mem_functor7 encapsulates a const method with 7 arguments and an object instance. More...
class | bound_const_volatile_mem_functor0
| bound_const_volatile_mem_functor0 encapsulates a const volatile method with 0 arguments and an object instance. More...
class | bound_const_volatile_mem_functor1
| bound_const_volatile_mem_functor1 encapsulates a const volatile method with 1 arguments and an object instance. More...
class | bound_const_volatile_mem_functor2
| bound_const_volatile_mem_functor2 encapsulates a const volatile method with 2 arguments and an object instance. More...
class | bound_const_volatile_mem_functor3
| bound_const_volatile_mem_functor3 encapsulates a const volatile method with 3 arguments and an object instance. More...
class | bound_const_volatile_mem_functor4
| bound_const_volatile_mem_functor4 encapsulates a const volatile method with 4 arguments and an object instance. More...
class | bound_const_volatile_mem_functor5
| bound_const_volatile_mem_functor5 encapsulates a const volatile method with 5 arguments and an object instance. More...
class | bound_const_volatile_mem_functor6
| bound_const_volatile_mem_functor6 encapsulates a const volatile method with 6 arguments and an object instance. More...
class | bound_const_volatile_mem_functor7
| bound_const_volatile_mem_functor7 encapsulates a const volatile method with 7 arguments and an object instance. More...
class | bound_mem_functor0
| bound_mem_functor0 encapsulates a method with 0 arguments and an object instance. More...
class | bound_mem_functor1
| bound_mem_functor1 encapsulates a method with 1 arguments and an object instance. More...
class | bound_mem_functor2
| bound_mem_functor2 encapsulates a method with 2 arguments and an object instance. More...
class | bound_mem_functor3
| bound_mem_functor3 encapsulates a method with 3 arguments and an object instance. More...
class | bound_mem_functor4
| bound_mem_functor4 encapsulates a method with 4 arguments and an object instance. More...
class | bound_mem_functor5
| bound_mem_functor5 encapsulates a method with 5 arguments and an object instance. More...
class | bound_mem_functor6
| bound_mem_functor6 encapsulates a method with 6 arguments and an object instance. More...
class | bound_mem_functor7
| bound_mem_functor7 encapsulates a method with 7 arguments and an object instance. More...
class | bound_volatile_mem_functor0
| bound_volatile_mem_functor0 encapsulates a volatile method with 0 arguments and an object instance. More...
class | bound_volatile_mem_functor1
| bound_volatile_mem_functor1 encapsulates a volatile method with 1 arguments and an object instance. More...
class | bound_volatile_mem_functor2
| bound_volatile_mem_functor2 encapsulates a volatile method with 2 arguments and an object instance. More...
class | bound_volatile_mem_functor3
| bound_volatile_mem_functor3 encapsulates a volatile method with 3 arguments and an object instance. More...
class | bound_volatile_mem_functor4
| bound_volatile_mem_functor4 encapsulates a volatile method with 4 arguments and an object instance. More...
class | bound_volatile_mem_functor5
| bound_volatile_mem_functor5 encapsulates a volatile method with 5 arguments and an object instance. More...
class | bound_volatile_mem_functor6
| bound_volatile_mem_functor6 encapsulates a volatile method with 6 arguments and an object instance. More...
class | bound_volatile_mem_functor7
| bound_volatile_mem_functor7 encapsulates a volatile method with 7 arguments and an object instance. More...
class | can_deduce_result_type_with_decltype
| Helper macro, to determine if decltype() can deduce the result type of a functor. More...
struct | compose1_functor
| Adaptor that combines two functors. More...
struct | compose2_functor
| Adaptor that combines three functors. More...
struct | connection
| Convinience class for safe disconnection. More...
class | const_limit_reference
| A const_limit_reference<Foo> object stores a reference (Foo&), but make sure that, if Foo inherits from sigc::trackable, then visit_each<>() will "limit" itself to the sigc::trackable reference instead of the derived reference. More...
class | const_limit_reference< T_type, true >
| const_limit_reference object for a class that derives from trackable. More...
class | const_mem_functor0
| const_mem_functor0 wraps const methods with 0 argument(s). More...
class | const_mem_functor1
| const_mem_functor1 wraps const methods with 1 argument(s). More...
class | const_mem_functor2
| const_mem_functor2 wraps const methods with 2 argument(s). More...
class | const_mem_functor3
| const_mem_functor3 wraps const methods with 3 argument(s). More...
class | const_mem_functor4
| const_mem_functor4 wraps const methods with 4 argument(s). More...
class | const_mem_functor5
| const_mem_functor5 wraps const methods with 5 argument(s). More...
class | const_mem_functor6
| const_mem_functor6 wraps const methods with 6 argument(s). More...
class | const_mem_functor7
| const_mem_functor7 wraps const methods with 7 argument(s). More...
struct | const_reference_wrapper
| Const reference wrapper. More...
class | const_volatile_limit_reference
| A const_volatile_limit_reference<Foo> object stores a reference (Foo&), but make sure that, if Foo inherits from sigc::trackable, then visit_each<>() will "limit" itself to the sigc::trackable reference instead of the derived reference. More...
class | const_volatile_limit_reference< T_type, true >
| const_volatile_limit_reference object for a class that derives from trackable. More...
class | const_volatile_mem_functor0
| const_volatile_mem_functor0 wraps const volatile methods with 0 argument(s). More...
class | const_volatile_mem_functor1
| const_volatile_mem_functor1 wraps const volatile methods with 1 argument(s). More...
class | const_volatile_mem_functor2
| const_volatile_mem_functor2 wraps const volatile methods with 2 argument(s). More...
class | const_volatile_mem_functor3
| const_volatile_mem_functor3 wraps const volatile methods with 3 argument(s). More...
class | const_volatile_mem_functor4
| const_volatile_mem_functor4 wraps const volatile methods with 4 argument(s). More...
class | const_volatile_mem_functor5
| const_volatile_mem_functor5 wraps const volatile methods with 5 argument(s). More...
class | const_volatile_mem_functor6
| const_volatile_mem_functor6 wraps const volatile methods with 6 argument(s). More...
class | const_volatile_mem_functor7
| const_volatile_mem_functor7 wraps const volatile methods with 7 argument(s). More...
struct | deduce_result_type
| Deduce the return type of a functor. More...
struct | exception_catch_functor
struct | exception_catch_functor< T_functor, T_catcher, void >
struct | functor_base
| A hint to the compiler. More...
struct | functor_trait
| Trait that specifies the return type of any type. More...
struct | hide_functor
| Adaptor that adds a dummy parameter to the wrapped functor. More...
struct | hide_functor< 0, T_functor >
| Adaptor that adds a dummy parameter to the wrapped functor. More...
struct | hide_functor<-1, T_functor >
| Adaptor that adds a dummy parameter to the wrapped functor. More...
class | limit_reference
| A limit_reference<Foo> object stores a reference (Foo&), but make sure that, if Foo inherits from sigc::trackable, then visit_each<>() will "limit" itself to the sigc::trackable reference instead of the derived reference. More...
class | limit_reference< T_type, true >
| limit_reference object for a class that derives from trackable. More...
class | mem_functor0
| mem_functor0 wraps methods with 0 argument(s). More...
class | mem_functor1
| mem_functor1 wraps methods with 1 argument(s). More...
class | mem_functor2
| mem_functor2 wraps methods with 2 argument(s). More...
class | mem_functor3
| mem_functor3 wraps methods with 3 argument(s). More...
class | mem_functor4
| mem_functor4 wraps methods with 4 argument(s). More...
class | mem_functor5
| mem_functor5 wraps methods with 5 argument(s). More...
class | mem_functor6
| mem_functor6 wraps methods with 6 argument(s). More...
class | mem_functor7
| mem_functor7 wraps methods with 7 argument(s). More...
struct | nil
| nil struct type. More...
class | pointer_functor0
| pointer_functor0 wraps existing non-member functions with 0 argument(s). More...
class | pointer_functor1
| pointer_functor1 wraps existing non-member functions with 1 argument(s). More...
class | pointer_functor2
| pointer_functor2 wraps existing non-member functions with 2 argument(s). More...
class | pointer_functor3
| pointer_functor3 wraps existing non-member functions with 3 argument(s). More...
class | pointer_functor4
| pointer_functor4 wraps existing non-member functions with 4 argument(s). More...
class | pointer_functor5
| pointer_functor5 wraps existing non-member functions with 5 argument(s). More...
class | pointer_functor6
| pointer_functor6 wraps existing non-member functions with 6 argument(s). More...
class | pointer_functor7
| pointer_functor7 wraps existing non-member functions with 7 argument(s). More...
struct | reference_wrapper
| Reference wrapper. More...
struct | retype_functor
| Adaptor that performs C-style casts on the parameters passed on to the functor. More...
struct | retype_return_functor
| Adaptor that performs a C-style cast on the return value of a functor. More...
struct | retype_return_functor< void, T_functor >
| Adaptor that performs a C-style cast on the return value of a functor. More...
class | signal
| Convenience wrapper for the numbered sigc::signal# templates. More...
class | signal0
| Signal declaration. More...
class | signal1
| Signal declaration. More...
class | signal2
| Signal declaration. More...
class | signal3
| Signal declaration. More...
class | signal4
| Signal declaration. More...
class | signal5
| Signal declaration. More...
class | signal6
| Signal declaration. More...
class | signal7
| Signal declaration. More...
class | signal< T_return, nil, nil, nil, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::signal0 template. More...
class | signal< T_return, T_arg1, nil, nil, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::signal1 template. More...
class | signal< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::signal2 template. More...
class | signal< T_return, T_arg1, T_arg2, T_arg3, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::signal3 template. More...
class | signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >
| Convenience wrapper for the numbered sigc::signal4 template. More...
class | signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, nil, nil >
| Convenience wrapper for the numbered sigc::signal5 template. More...
class | signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, nil >
| Convenience wrapper for the numbered sigc::signal6 template. More...
struct | signal_base
| Base class for the sigc::signal# templates. More...
class | slot
| Convenience wrapper for the numbered sigc::slot# templates. More...
class | slot0
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot1
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot2
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot3
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot4
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot5
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot6
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot7
| Converts an arbitrary functor to a unified type which is opaque. More...
class | slot< T_return, nil, nil, nil, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::slot0 template. More...
class | slot< T_return, T_arg1, nil, nil, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::slot1 template. More...
class | slot< T_return, T_arg1, T_arg2, nil, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::slot2 template. More...
class | slot< T_return, T_arg1, T_arg2, T_arg3, nil, nil, nil, nil >
| Convenience wrapper for the numbered sigc::slot3 template. More...
class | slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >
| Convenience wrapper for the numbered sigc::slot4 template. More...
class | slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, nil, nil >
| Convenience wrapper for the numbered sigc::slot5 template. More...
class | slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, nil >
| Convenience wrapper for the numbered sigc::slot6 template. More...
class | slot_base
| Base type for slots. More...
struct | slot_const_iterator
| STL-style const iterator for slot_list. More...
struct | slot_iterator
| STL-style iterator for slot_list. More...
struct | slot_list
| STL-style list interface for sigc::signal#. More...
class | track_obj_functor1
| track_obj_functor1 wraps a functor and stores a reference to a trackable object. More...
class | track_obj_functor2
| track_obj_functor2 wraps a functor and stores 2 references to trackable objects. More...
class | track_obj_functor3
| track_obj_functor3 wraps a functor and stores 3 references to trackable objects. More...
class | track_obj_functor4
| track_obj_functor4 wraps a functor and stores 4 references to trackable objects. More...
class | track_obj_functor5
| track_obj_functor5 wraps a functor and stores 5 references to trackable objects. More...
class | track_obj_functor6
| track_obj_functor6 wraps a functor and stores 6 references to trackable objects. More...
class | track_obj_functor7
| track_obj_functor7 wraps a functor and stores 7 references to trackable objects. More...
struct | trackable
| Base class for objects with auto-disconnection. More...
struct | type_trait
struct | type_trait< const T_type& >
struct | type_trait< T_type& >
struct | type_trait< T_type[N]>
struct | type_trait< void >
struct | unwrap_reference
struct | unwrap_reference< const_reference_wrapper< T_type > >
struct | unwrap_reference< reference_wrapper< T_type > >
struct | visitor
| sigc::visitor<T_functor>::do_visit_each() performs a functor on each of the targets of a functor. More...
class | volatile_limit_reference
| A volatile_limit_reference<Foo> object stores a reference (Foo&), but make sure that, if Foo inherits from sigc::trackable, then visit_each<>() will "limit" itself to the sigc::trackable reference instead of the derived reference. More...
class | volatile_limit_reference< T_type, true >
| volatile_limit_reference object for a class that derives from trackable. More...
class | volatile_mem_functor0
| volatile_mem_functor0 wraps volatile methods with 0 argument(s). More...
class | volatile_mem_functor1
| volatile_mem_functor1 wraps volatile methods with 1 argument(s). More...
class | volatile_mem_functor2
| volatile_mem_functor2 wraps volatile methods with 2 argument(s). More...
class | volatile_mem_functor3
| volatile_mem_functor3 wraps volatile methods with 3 argument(s). More...
class | volatile_mem_functor4
| volatile_mem_functor4 wraps volatile methods with 4 argument(s). More...
class | volatile_mem_functor5
| volatile_mem_functor5 wraps volatile methods with 5 argument(s). More...
class | volatile_mem_functor6
| volatile_mem_functor6 wraps volatile methods with 6 argument(s). More...
class | volatile_mem_functor7
| volatile_mem_functor7 wraps volatile methods with 7 argument(s). More...

## Functions
template<int I_location, class T_bound1 , class T_functor >
bind_functor< I_location, T_functor, T_bound1 > | bind (const T_functor& _A_func, T_bound1 _A_b1)
| Creates an adaptor of type sigc::bind_functor which binds the passed argument to the passed functor. More...
template<class T_type1 , class T_functor >
bind_functor<-1, T_functor, T_type1 > | bind (const T_functor& _A_func, T_type1 _A_b1)
| Creates an adaptor of type sigc::bind_functor which fixes the last 1 argument(s) of the passed functor. More...
template<class T_type1 , class T_type2 , class T_functor >
bind_functor<-1, T_functor, T_type1, T_type2 > | bind (const T_functor& _A_func, T_type1 _A_b1, T_type2 _A_b2)
| Creates an adaptor of type sigc::bind_functor which fixes the last 2 argument(s) of the passed functor. More...
template<class T_type1 , class T_type2 , class T_type3 , class T_functor >
bind_functor<-1, T_functor, T_type1, T_type2, T_type3 > | bind (const T_functor& _A_func, T_type1 _A_b1, T_type2 _A_b2, T_type3 _A_b3)
| Creates an adaptor of type sigc::bind_functor which fixes the last 3 argument(s) of the passed functor. More...
template<class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_functor >
bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4 > | bind (const T_functor& _A_func, T_type1 _A_b1, T_type2 _A_b2, T_type3 _A_b3, T_type4 _A_b4)
| Creates an adaptor of type sigc::bind_functor which fixes the last 4 argument(s) of the passed functor. More...
template<class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 , class T_functor >
bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5 > | bind (const T_functor& _A_func, T_type1 _A_b1, T_type2 _A_b2, T_type3 _A_b3, T_type4 _A_b4, T_type5 _A_b5)
| Creates an adaptor of type sigc::bind_functor which fixes the last 5 argument(s) of the passed functor. More...
template<class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 , class T_type6 , class T_functor >
bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6 > | bind (const T_functor& _A_func, T_type1 _A_b1, T_type2 _A_b2, T_type3 _A_b3, T_type4 _A_b4, T_type5 _A_b5, T_type6 _A_b6)
| Creates an adaptor of type sigc::bind_functor which fixes the last 6 argument(s) of the passed functor. More...
template<class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 , class T_type6 , class T_type7 , class T_functor >
bind_functor<-1, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > | bind (const T_functor& _A_func, T_type1 _A_b1, T_type2 _A_b2, T_type3 _A_b3, T_type4 _A_b4, T_type5 _A_b5, T_type6 _A_b6, T_type7 _A_b7)
| Creates an adaptor of type sigc::bind_functor which fixes the last 7 argument(s) of the passed functor. More...
template<class T_return , class T_functor >
bind_return_functor< T_return, T_functor > | bind_return (const T_functor& _A_functor, T_return _A_ret_value)
| Creates an adaptor of type sigc::bind_return_functor which fixes the return value of the passed functor to the passed argument. More...
template<class T_setter , class T_getter >
compose1_functor< T_setter, T_getter > | compose (const T_setter& _A_setter, const T_getter& _A_getter)
| Creates an adaptor of type sigc::compose1_functor which combines two functors. More...
template<class T_setter , class T_getter1 , class T_getter2 >
compose2_functor< T_setter, T_getter1, T_getter2 > | compose (const T_setter& _A_setter, const T_getter1& _A_getter1, const T_getter2& _A_getter2)
| Creates an adaptor of type sigc::compose2_functor which combines three functors. More...
template<class T_functor , class T_catcher >
exception_catch_functor< T_functor, T_catcher > | exception_catch (const T_functor& _A_func, const T_catcher& _A_catcher)
template<int I_location, class T_functor >
hide_functor< I_location, T_functor > | hide (const T_functor& _A_func)
| Creates an adaptor of type sigc::hide_functor which adds a dummy parameter to the passed functor. More...
template<class T_functor >
hide_functor<-1, T_functor > | hide (const T_functor& _A_func)
| Creates an adaptor of type sigc::hide_functor which adds a dummy parameter to the passed functor. More...
template<class T_functor >
retype_return_functor< void, T_functor > | hide_return (const T_functor& _A_functor)
| Creates an adaptor of type sigc::retype_return_functor which drops the return value of the passed functor. More...
template<class T_return , class T_obj >
mem_functor0< T_return, T_obj > | mem_fun (T_return(T_obj::* _A_func)())
| Creates a functor of type sigc::mem_functor0 which wraps a method. More...
template<class T_arg1 , class T_return , class T_obj >
mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type sigc::mem_functor1 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::mem_functor2 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::mem_functor3 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::mem_functor4 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::mem_functor5 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::mem_functor6 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::mem_functor7 which wraps a method. More...
template<class T_return , class T_obj >
const_mem_functor0< T_return, T_obj > | mem_fun (T_return(T_obj::* _A_func)() const)
| Creates a functor of type sigc::const_mem_functor0 which wraps a const method. More...
template<class T_arg1 , class T_return , class T_obj >
const_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1) const)
| Creates a functor of type sigc::const_mem_functor1 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type sigc::const_mem_functor2 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type sigc::const_mem_functor3 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type sigc::const_mem_functor4 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type sigc::const_mem_functor5 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type sigc::const_mem_functor6 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type sigc::const_mem_functor7 which wraps a const method. More...
template<class T_return , class T_obj >
volatile_mem_functor0< T_return, T_obj > | mem_fun (T_return(T_obj::* _A_func)() volatile)
| Creates a functor of type sigc::volatile_mem_functor0 which wraps a volatile method. More...
template<class T_arg1 , class T_return , class T_obj >
volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1) volatile)
| Creates a functor of type sigc::volatile_mem_functor1 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2) volatile)
| Creates a functor of type sigc::volatile_mem_functor2 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) volatile)
| Creates a functor of type sigc::volatile_mem_functor3 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) volatile)
| Creates a functor of type sigc::volatile_mem_functor4 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile)
| Creates a functor of type sigc::volatile_mem_functor5 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile)
| Creates a functor of type sigc::volatile_mem_functor6 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile)
| Creates a functor of type sigc::volatile_mem_functor7 which wraps a volatile method. More...
template<class T_return , class T_obj >
const_volatile_mem_functor0< T_return, T_obj > | mem_fun (T_return(T_obj::* _A_func)() const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor0 which wraps a const volatile method. More...
template<class T_arg1 , class T_return , class T_obj >
const_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor1 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor2 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor3 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor4 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor5 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor6 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor7 which wraps a const volatile method. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor0< T_return, T_obj > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)() const)
| Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor0< T_return, T_obj > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)() const)
| Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const)
| Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const)
| Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor0< T_return, T_obj > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)() volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor0< T_return, T_obj > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)() volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor0< T_return, T_obj > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)() const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor0< T_return, T_obj > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)() const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj >
mem_functor0< T_return, T_obj > | mem_fun0 (T_return(T_obj::* _A_func)())
| Creates a functor of type sigc::mem_functor0 which wraps a method. More...
template<class T_return , class T_obj >
const_mem_functor0< T_return, T_obj > | mem_fun0 (T_return(T_obj::* _A_func)() const)
| Creates a functor of type sigc::const_mem_functor0 which wraps a const method. More...
template<class T_return , class T_obj >
volatile_mem_functor0< T_return, T_obj > | mem_fun0 (T_return(T_obj::* _A_func)() volatile)
| Creates a functor of type sigc::volatile_mem_functor0 which wraps a volatile method. More...
template<class T_return , class T_obj >
const_volatile_mem_functor0< T_return, T_obj > | mem_fun0 (T_return(T_obj::* _A_func)() const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor0 which wraps a const volatile method. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj* _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj& _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj* _A_obj, T_return(T_obj2::* _A_func)() const)
| Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj& _A_obj, T_return(T_obj2::* _A_func)() const)
| Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj* _A_obj, T_return(T_obj2::* _A_func)() volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj& _A_obj, T_return(T_obj2::* _A_func)() volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj* _A_obj, T_return(T_obj2::* _A_func)() const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor0< T_return, T_obj > | mem_fun0 (T_obj& _A_obj, T_return(T_obj2::* _A_func)() const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj >
mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type sigc::mem_functor1 which wraps a method. More...
template<class T_arg1 , class T_return , class T_obj >
const_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_return(T_obj::* _A_func)(T_arg1) const)
| Creates a functor of type sigc::const_mem_functor1 which wraps a const method. More...
template<class T_arg1 , class T_return , class T_obj >
volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_return(T_obj::* _A_func)(T_arg1) volatile)
| Creates a functor of type sigc::volatile_mem_functor1 which wraps a volatile method. More...
template<class T_arg1 , class T_return , class T_obj >
const_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_return(T_obj::* _A_func)(T_arg1) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor1 which wraps a const volatile method. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const)
| Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const)
| Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 > | mem_fun1 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::mem_functor2 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_return(T_obj::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type sigc::const_mem_functor2 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_return(T_obj::* _A_func)(T_arg1, T_arg2) volatile)
| Creates a functor of type sigc::volatile_mem_functor2 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_return(T_obj::* _A_func)(T_arg1, T_arg2) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor2 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const)
| Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | mem_fun2 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::mem_functor3 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type sigc::const_mem_functor3 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) volatile)
| Creates a functor of type sigc::volatile_mem_functor3 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor3 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const)
| Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | mem_fun3 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::mem_functor4 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type sigc::const_mem_functor4 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) volatile)
| Creates a functor of type sigc::volatile_mem_functor4 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor4 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const)
| Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | mem_fun4 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::mem_functor5 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type sigc::const_mem_functor5 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile)
| Creates a functor of type sigc::volatile_mem_functor5 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor5 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const)
| Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | mem_fun5 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::mem_functor6 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type sigc::const_mem_functor6 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile)
| Creates a functor of type sigc::volatile_mem_functor6 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor6 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const)
| Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | mem_fun6 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::mem_functor7 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type sigc::const_mem_functor7 which wraps a const method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile)
| Creates a functor of type sigc::volatile_mem_functor7 which wraps a volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile)
| Creates a functor of type sigc::const_volatile_mem_functor7 which wraps a const volatile method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const)
| Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile)
| Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | mem_fun7 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile)
| Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_return >
pointer_functor0< T_return > | ptr_fun (T_return(* _A_func)())
| Creates a functor of type sigc::pointer_functor0 which wraps an existing non-member function. More...
template<class T_arg1 , class T_return >
pointer_functor1< T_arg1, T_return > | ptr_fun (T_return(* _A_func)(T_arg1))
| Creates a functor of type sigc::pointer_functor1 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_return >
pointer_functor2< T_arg1, T_arg2, T_return > | ptr_fun (T_return(* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::pointer_functor2 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return >
pointer_functor3< T_arg1, T_arg2, T_arg3, T_return > | ptr_fun (T_return(* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::pointer_functor3 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >
pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return > | ptr_fun (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::pointer_functor4 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return >
pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return > | ptr_fun (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::pointer_functor5 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return >
pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return > | ptr_fun (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::pointer_functor6 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return >
pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return > | ptr_fun (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::pointer_functor7 which wraps an existing non-member function. More...
template<class T_return >
pointer_functor0< T_return > | ptr_fun0 (T_return(* _A_func)())
| Creates a functor of type sigc::pointer_functor0 which wraps an existing non-member function. More...
template<class T_arg1 , class T_return >
pointer_functor1< T_arg1, T_return > | ptr_fun1 (T_return(* _A_func)(T_arg1))
| Creates a functor of type sigc::pointer_functor1 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_return >
pointer_functor2< T_arg1, T_arg2, T_return > | ptr_fun2 (T_return(* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::pointer_functor2 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return >
pointer_functor3< T_arg1, T_arg2, T_arg3, T_return > | ptr_fun3 (T_return(* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::pointer_functor3 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >
pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return > | ptr_fun4 (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::pointer_functor4 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return >
pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return > | ptr_fun5 (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::pointer_functor5 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return >
pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return > | ptr_fun6 (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::pointer_functor6 which wraps an existing non-member function. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return >
pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return > | ptr_fun7 (T_return(* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::pointer_functor7 which wraps an existing non-member function. More...
template<class T_type >
reference_wrapper< T_type > | ref (T_type& v)
| Creates a reference wrapper. More...
template<class T_type >
const_reference_wrapper< T_type > | ref (const T_type& v)
| Creates a const reference wrapper. More...
template<class T_return , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return >
retype_functor< pointer_functor0< T_return > > | retype (const pointer_functor0< T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_return >
retype_functor< pointer_functor1< T_arg1, T_return >, T_arg1 > | retype (const pointer_functor1< T_arg1, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_arg2 , class T_return >
retype_functor< pointer_functor2< T_arg1, T_arg2, T_return >, T_arg1, T_arg2 > | retype (const pointer_functor2< T_arg1, T_arg2, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return >
retype_functor< pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >, T_arg1, T_arg2, T_arg3 > | retype (const pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >
retype_functor< pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return >
retype_functor< pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return >
retype_functor< pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return >
retype_functor< pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< mem_functor0< T_return, T_obj > > | retype (const mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< const_mem_functor0< T_return, T_obj > > | retype (const const_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< const_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const const_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< volatile_mem_functor0< T_return, T_obj > > | retype (const volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< volatile_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< const_volatile_mem_functor0< T_return, T_obj > > | retype (const const_volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< const_volatile_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const const_volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< bound_mem_functor0< T_return, T_obj > > | retype (const bound_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< bound_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const bound_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< bound_const_mem_functor0< T_return, T_obj > > | retype (const bound_const_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< bound_const_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const bound_const_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< bound_volatile_mem_functor0< T_return, T_obj > > | retype (const bound_volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj >
retype_functor< bound_const_volatile_mem_functor0< T_return, T_obj > > | retype (const bound_const_volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 >
retype_functor< bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | retype (const bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | retype (const bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | retype (const bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | retype (const bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor. More...
template<class T_return , class T_functor >
retype_return_functor< T_return, T_functor > | retype_return (const T_functor& _A_functor)
| Creates an adaptor of type sigc::retype_return_functor which performs a C-style cast on the return value of the passed functor. More...
template<typename T_functor , typename T_obj1 >
track_obj_functor1< T_functor, T_obj1 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1)
| Creates an adaptor of type sigc::track_obj_functor1 which wraps a functor. More...
template<typename T_functor , typename T_obj1 , typename T_obj2 >
track_obj_functor2< T_functor, T_obj1, T_obj2 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2)
| Creates an adaptor of type sigc::track_obj_functor2 which wraps a functor. More...
template<typename T_functor , typename T_obj1 , typename T_obj2 , typename T_obj3 >
track_obj_functor3< T_functor, T_obj1, T_obj2, T_obj3 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2, const T_obj3& _A_obj3)
| Creates an adaptor of type sigc::track_obj_functor3 which wraps a functor. More...
template<typename T_functor , typename T_obj1 , typename T_obj2 , typename T_obj3 , typename T_obj4 >
track_obj_functor4< T_functor, T_obj1, T_obj2, T_obj3, T_obj4 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2, const T_obj3& _A_obj3, const T_obj4& _A_obj4)
| Creates an adaptor of type sigc::track_obj_functor4 which wraps a functor. More...
template<typename T_functor , typename T_obj1 , typename T_obj2 , typename T_obj3 , typename T_obj4 , typename T_obj5 >
track_obj_functor5< T_functor, T_obj1, T_obj2, T_obj3, T_obj4, T_obj5 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2, const T_obj3& _A_obj3, const T_obj4& _A_obj4, const T_obj5& _A_obj5)
| Creates an adaptor of type sigc::track_obj_functor5 which wraps a functor. More...
template<typename T_functor , typename T_obj1 , typename T_obj2 , typename T_obj3 , typename T_obj4 , typename T_obj5 , typename T_obj6 >
track_obj_functor6< T_functor, T_obj1, T_obj2, T_obj3, T_obj4, T_obj5, T_obj6 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2, const T_obj3& _A_obj3, const T_obj4& _A_obj4, const T_obj5& _A_obj5, const T_obj6& _A_obj6)
| Creates an adaptor of type sigc::track_obj_functor6 which wraps a functor. More...
template<typename T_functor , typename T_obj1 , typename T_obj2 , typename T_obj3 , typename T_obj4 , typename T_obj5 , typename T_obj6 , typename T_obj7 >
track_obj_functor7< T_functor, T_obj1, T_obj2, T_obj3, T_obj4, T_obj5, T_obj6, T_obj7 > | track_obj (const T_functor& _A_func, const T_obj1& _A_obj1, const T_obj2& _A_obj2, const T_obj3& _A_obj3, const T_obj4& _A_obj4, const T_obj5& _A_obj5, const T_obj6& _A_obj6, const T_obj7& _A_obj7)
| Creates an adaptor of type sigc::track_obj_functor7 which wraps a functor. More...
template<class T_type >
T_type& | unwrap (const reference_wrapper< T_type >& v)
template<class T_type >
const T_type& | unwrap (const const_reference_wrapper< T_type >& v)
template<class T_action , class T_functor >
void | visit_each (const T_action& _A_action, const T_functor& _A_functor)
| This function performs a functor on each of the targets of a functor. More...
template<class T_type , class T_action , class T_functor >
void | visit_each_type (const T_action& _A_action, const T_functor& _A_functor)
| This function performs a functor on each of the targets of a functor limited to a restricted type. More...

## Detailed Description

The libsigc++ namespace.

## Function Documentation

template <class T_functor , class T_catcher >

exception_catch_functor<T_functor, T_catcher> sigc::exception_catch | ( | const T_functor & | _A_func,
|  | const T_catcher & | _A_catcher
| ) |  |
| inline

template <class T_return , class T_obj >

const_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_return(T_obj::*)() const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor0 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

const_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor1 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

const_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor2 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor3 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor4 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor5 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor6 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor7 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj >

volatile_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_return(T_obj::*)() volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor0 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor1 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor2 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor3 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor4 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor5 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor6 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor7 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj >

const_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_return(T_obj::*)() const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor0 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

const_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor1 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor2 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor3 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor4 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor5 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor6 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor7 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj >

const_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_return(T_obj::*)() const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor0 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj >

volatile_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_return(T_obj::*)() volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor0 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj >

const_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_return(T_obj::*)() const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor0 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

const_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_return(T_obj::*)(T_arg1) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor1 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_return(T_obj::*)(T_arg1) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor1 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

const_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_return(T_obj::*)(T_arg1) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor1 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

const_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_return(T_obj::*)(T_arg1, T_arg2) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor2 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_return(T_obj::*)(T_arg1, T_arg2) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor2 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_return(T_obj::*)(T_arg1, T_arg2) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor2 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor3 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor3 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor3 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor4 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor4 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor4 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor5 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor5 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor5 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor6 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor6 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor6 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func | ) |
| inline

Creates a functor of type sigc::const_mem_functor7 which wraps a const method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile | _A_func | ) |
| inline

Creates a functor of type sigc::volatile_mem_functor7 which wraps a volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile | _A_func | ) |
| inline

Creates a functor of type sigc::const_volatile_mem_functor7 which wraps a const volatile method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) const volatile | _A_func
| ) |  |
| inline

Creates a functor of type sigc::bound_const_volatile_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_type >

reference_wrapper<T_type> sigc::ref | ( | T_type & | v | ) |

Creates a reference wrapper.

Passing an object throught sigc::ref() makes libsigc++ adaptors like, e.g., sigc::bind store references to the object instead of copies. If the object type inherits from sigc::trackable this will ensure automatic invalidation of the adaptors when the object is deleted or overwritten.

Parameters

  v | Reference to store.

Returns
  A reference wrapper.

template <class T_type >

const_reference_wrapper<T_type> sigc::ref | ( | const T_type & | v | ) |

Creates a const reference wrapper.

Passing an object throught sigc::ref() makes libsigc++ adaptors like, e.g., sigc::bind store references to the object instead of copies. If the object type inherits from sigc::trackable this will ensure automatic invalidation of the adaptors when the object is deleted or overwritten.

Parameters

  v | Reference to store.

Returns
  A reference wrapper.

template <class T_type >

T_type& sigc::unwrap | ( | const reference_wrapper< T_type >& | v | ) |

template <class T_type >

const T_type& sigc::unwrap | ( | const const_reference_wrapper< T_type >& | v | ) |